Arduino

Reference Language | Libraries | Comparison | Changes

RTC

## enableAlarm()

#### Description

Enable the RTC alarm to be triggered on a chosen match type

#### Syntax

rtc.enableAlarm(rtc.AlarmMatch)

#### Parameters

AlarmMatch: the chosen match type that can be chosen between:

- MATCH_SS: generate an alarm on seconds match;
- MATCH_MMSS: generate an alarm on minutes and seconds match;
- MATCH_HHMMSS: generate an alarm on hours, minutes and seconds match;
- MATCH_DHHMMSS: generate an alarm on day, hours, minutes and seconds match;
- MATCH_MMDDHHMMSS: generate an alarm on month, day, hours, minutes and seconds match;
- MATCH_YYMMDDHHMMSS: generate an alarm on year, month, day, hours, minutes and seconds match;

#### See also

- begin()
- setHours()
- setMinutes()
- setSeconds()
- setTime()
- setYear()
- setMonth()
- setDay()
- setDate()
- getHours()
- getMinutes()
- getSeconds()
- getYear()
- getMonth()
- getDay()
- setAlarmHours()
- setAlarmMinutes()
- setAlarmSeconds()
- setAlarmTime()
- setAlarmYear()
- setAlarmMonth()
- setAlarmDay()
- setAlarmDate()
- enableAlarm()
- disableAlarm()
- attachInterrupt()
- detachInterrupt()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

### Share

### This link has expired.
Please re-subscribe to our Newsletters.

### Subscribe to our Newsletters

Email

Please enter a valid email to subscribe

Arduino Newsletter
Arduino Store Newsletter

### Confirm your email address

We need to confirm your email address.
To complete the subscription, please click the link in the email we just sent you.

Thank you for subscribing!

Arduino
via Egeo 16
Torino, 10131
Italy

###### Newsletter

- ©2015 Arduino
- Copyright Notice
- Contact us
- About us
- Careers